Subject: [Sip] WGLC on draft-ietf-sip-record-route-fix

From: Dean Willis <[email-masked]>
Date: Wed, 16 Jul 2008 10:32:12 -0500

I believe we're ready to do working group last call on the Record- 
Route guidelines draft. Please get comments back to the list before  
July 29.

See:

http://www.ietf.org/internet-drafts/draft-ietf-sip-record-route-fix-03.txt

--
Dean

_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "DRAGE, Keith \(Keith\)" <[email-masked]>
Date: Wed, 16 Jul 2008 18:26:47 +0200

For additional information, this was originally targetted as an
essential correction, but we agreed at IETF#70 that it should instead we
progressed as a standalone BCP as it was not essential. 

It does not not directly update RFC 3261, and is currently not intended
to.

Regards

Keith

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Dean Willis
> Sent: Wednesday, July 16, 2008 4:32 PM
> To: SIP IETF
> Subject: [Sip] WGLC on draft-ietf-sip-record-route-fix
> 
> 
> I believe we're ready to do working group last call on the 
> Record- Route guidelines draft. Please get comments back to 
> the list before July 29.
> 
> 
> See:
> 
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip

---

From: "Francois Audet" <[email-masked]>
Date: Wed, 16 Jul 2008 17:21:09 -0500

I do have a significant comment on this draft, because of decisions
in the final version if draft-ietf-sip-sips that fix some of the bugs
hightlihted in this draft (and remove a use case for double record route).

I believe those changes fix BUG 734 and BUG 735 as listed by Robert.

Since draft-ietf-sip-sips does NOT use double record routing
anymore (in fact, it prohibits mapping from sip to sips), references 
to this effect need to be removed from the document. Specifically:

- In section 1:
	- In first paragraph, delete ", sip to sips".
      - Please delete the fourth sub-bullet.

- Section 3.2: I believe the following sentence in the 4th paragraph
  shall be deleted: 
  "Then, this section speaks about record-route requirements
   when transiting from sips to non-sips.  It's not clear that the
   section doesn't apply to TLS to non-TLS transitions where SIPS is not
   involved (see [BUG734]).".
  Later in this section, you quote the following paragraph from RFC 3261/
  section 16.7 bullet 8:
  "If the proxy received the request over TLS, and sent it out over a
   non-TLS connection, the proxy MUST rewrite the URI in the Record-
   Route header field to be a SIPS URI".
  As per draft-ietf-sip-sips-08/Appendix B, this whole paragraph has 
  been deleted as a "Bug fix". So you should remove it from the text
  (and maybe refer to it's removal as per draft-ietf-sip-sips-08). 
  Furthermore, ther paragraph right after should thus be reworded as 
  follows:
   Indeed, [RFC3261] suggests rewriting the Record-Route header in
   responses.
  (i.e., everything starting with ", and mandates..." until the end of the 
  paragraph is deleted.
  I believe this means that BUG734 and BUG735 has been adressed by 
  draft-ietf-sip-sips-08 since mapping between sips and non-sips has been deprecated.

- In section 4, change the last sentence to "This recommendation 
  applies to all uses of Record-Route rewriting by proxies, including 
  transport protocol switching and multi-homed proxies."

I would like these changes do be done before WGLC.

> Sent: Wednesday, July 16, 2008 08:32
> To: SIP IETF

---

From: "DRAGE, Keith \(Keith\)" <[email-masked]>
Date: Thu, 17 Jul 2008 12:50:36 +0200

Despite any vagaries in Dean's calling notice - this is WGLC.

Hence we will consider this as a WGLC comment.

It would be useful if other members of the working group comment on this
comment to ensure the editor has some WG consensus to work from, as well
as reviewing the draft for their own WGLC comments.

Regards

Keith 

> Behalf Of Francois Audet
> Sent: Wednesday, July 16, 2008 11:21 PM
> To: Dean Willis; SIP IETF
> Cc: LEBEL, CHRISTOPHE (CHRISTOPHE)
> Subject: Re: [Sip] WGLC on draft-ietf-sip-record-route-fix
> 
> I do have a significant comment on this draft, because of 
> decisions in the final version if draft-ietf-sip-sips that 
> fix some of the bugs hightlihted in this draft (and remove a 
> use case for double record route).
> 
> anymore (in fact, it prohibits mapping from sip to sips), 
> references to this effect need to be removed from the 
> document. Specifically:
> 
> - In section 1:
> Behalf Of 
> > Dean Willis
> the list 
> > before July 29.
> > [email-masked] for questions on current sip Use 
> > [email-masked] for new developments on the application of sip
> >

---

From: "Francois Audet" <[email-masked]>
Date: Thu, 17 Jul 2008 10:10:31 -0500

That is perfectly fine with me. 

> From: DRAGE, Keith (Keith) [mailto:[email-masked]] 
> Sent: Thursday, July 17, 2008 03:51
> To: Audet, Francois (SC100:3055); Dean Willis; SIP IETF
> Subject: RE: [Sip] WGLC on draft-ietf-sip-record-route-fix
> 
> It would be useful if other members of the working group 
> comment on this comment to ensure the editor has some WG 
> consensus to work from, as well as reviewing the draft for 
> their own WGLC comments.
> 
> Regards
> 
> Keith 
> 
> > Francois Audet
> decisions in 
> > the final version if draft-ietf-sip-sips that fix some of the bugs 
> > Since draft-ietf-sip-sips does NOT use double record 
> routing anymore 
> > (in fact, it prohibits mapping from sip to sips), 
> references to this 
> > effect need to be removed from the document. Specifically:
> > 
> > - In section 1:
> >    section doesn't apply to TLS to non-TLS transitions 
> where SIPS is 
> > not
> >   (i.e., everything starting with ", and mandates..." until 
> the end of 
> > the
> >   paragraph is deleted.
> >   draft-ietf-sip-sips-08 since mapping between sips and 
> non-sips has 
> > been deprecated.
> >

---

From: "DRAGE, Keith \(Keith\)" <[email-masked]>
Date: Thu, 31 Jul 2008 10:11:58 +0200

(As WG cochair)

A reminder that we put this document in WGLC which completed yesterday.

Limited comments have been made - does this mean the document is
perfect.

Regards

Keith

---

From: Robert Sparks <[email-masked]>
Date: Thu, 31 Jul 2008 13:40:16 +0100

I have to confess that my detailed review was sacrificed for other  
things.

Based on my past reviews and my understanding of the most recent  
changes, I'm comfortable with the draft proceeding and will do another  
detailed review during IETF LC. (I _really_ don't expect to find  
anything but nits at this point).

RjS

---

From: Thomas Froment <[email-masked]>
Date: Thu, 31 Jul 2008 15:41:17 +0200

Most of the comments have been made between version -01 and -02. Since 
there was no change between -02 and -03, I did not expect so many comments.
Currently I received two comments for the WGLC: one from F. Audet.
and another (offline) one about the applicability of the "proxy SHOULD 
record route" when transport protocol switching occurs between UDP and 
TCP due to the request size (> MTU size -200 bytes).

If somebody else want to review it, I would request to focus on 
sections  "6.1", "6.2", and "security considerations" (should I let this 
section like this or not?).

Thomas

DRAGE, Keith (Keith) a écrit :
>> http://www.ietf.org/internet-drafts/draft-ietf-sip-record-rout
>>     
> e-fix-03.txt
>   
>> --
>> Dean
>>